### Method

# GIRepository InterfaceInfo get_signal

since: 2.80

#### Declaration

    GISignalInfo*
    gi_interface_info_get_signal (
      GIInterfaceInfo* info,
      unsigned int n
    )

#### Description

Obtain an interface type signal at index `n`.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  Index of signal to get.

#### Return value

Type: `GISignalInfo`

The `GISignalInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the data, and is responsible for freeing it.